<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: RTCConfiguration Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Instance Methods</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="interface_r_t_c_configuration-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">RTCConfiguration Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for RTCConfiguration:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_r_t_c_configuration.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Instance Methods</h2></td></tr>
<tr class="memitem:a2116161a937599f6206462dd71d788c9"><td class="memItemLeft" align="right" valign="top"><a id="a2116161a937599f6206462dd71d788c9"></a>
(instancetype)&#160;</td><td class="memItemRight" valign="bottom">- <b>init</b></td></tr>
<tr class="separator:a2116161a937599f6206462dd71d788c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a566359e4d44398d0e6cb1446f93c8a69"><td class="memItemLeft" align="right" valign="top">NSArray&lt; <a class="el" href="interface_r_t_c_ice_server.html">RTCIceServer</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_r_t_c_configuration.html#a566359e4d44398d0e6cb1446f93c8a69">iceServers</a></td></tr>
<tr class="separator:a566359e4d44398d0e6cb1446f93c8a69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d4636ae121bb06655f1b3e3900034af"><td class="memItemLeft" align="right" valign="top">RTCIceTransportPolicy&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_r_t_c_configuration.html#a2d4636ae121bb06655f1b3e3900034af">iceTransportPolicy</a></td></tr>
<tr class="separator:a2d4636ae121bb06655f1b3e3900034af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae609b61a0e12af97d5d6ee1a69a325cd"><td class="memItemLeft" align="right" valign="top">RTCBundlePolicy&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_r_t_c_configuration.html#ae609b61a0e12af97d5d6ee1a69a325cd">bundlePolicy</a></td></tr>
<tr class="separator:ae609b61a0e12af97d5d6ee1a69a325cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8480916ac9e9510a7d8f5e837fbf09e8"><td class="memItemLeft" align="right" valign="top">RTCRtcpMuxPolicy&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_r_t_c_configuration.html#a8480916ac9e9510a7d8f5e837fbf09e8">rtcpMuxPolicy</a></td></tr>
<tr class="separator:a8480916ac9e9510a7d8f5e837fbf09e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3419cf08a5527efac51efb3424834b9"><td class="memItemLeft" align="right" valign="top"><a id="ad3419cf08a5527efac51efb3424834b9"></a>
RTCTcpCandidatePolicy&#160;</td><td class="memItemRight" valign="bottom"><b>tcpCandidatePolicy</b></td></tr>
<tr class="separator:ad3419cf08a5527efac51efb3424834b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ec516ceda1c673f24f2204612b41126"><td class="memItemLeft" align="right" valign="top"><a id="a6ec516ceda1c673f24f2204612b41126"></a>
RTCCandidateNetworkPolicy&#160;</td><td class="memItemRight" valign="bottom"><b>candidateNetworkPolicy</b></td></tr>
<tr class="separator:a6ec516ceda1c673f24f2204612b41126"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f448fe45912df659004dac7fcf370f4"><td class="memItemLeft" align="right" valign="top"><a id="a1f448fe45912df659004dac7fcf370f4"></a>
RTCContinualGatheringPolicy&#160;</td><td class="memItemRight" valign="bottom"><b>continualGatheringPolicy</b></td></tr>
<tr class="separator:a1f448fe45912df659004dac7fcf370f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15a0adb5d380ca9be4fe0349e57681d2"><td class="memItemLeft" align="right" valign="top"><a id="a15a0adb5d380ca9be4fe0349e57681d2"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>audioJitterBufferMaxPackets</b></td></tr>
<tr class="separator:a15a0adb5d380ca9be4fe0349e57681d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64c3f109e9395568e7e89fcc153dd759"><td class="memItemLeft" align="right" valign="top"><a id="a64c3f109e9395568e7e89fcc153dd759"></a>
BOOL&#160;</td><td class="memItemRight" valign="bottom"><b>audioJitterBufferFastAccelerate</b></td></tr>
<tr class="separator:a64c3f109e9395568e7e89fcc153dd759"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfdebb4952d6e605b583366ee546257a"><td class="memItemLeft" align="right" valign="top"><a id="acfdebb4952d6e605b583366ee546257a"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>iceConnectionReceivingTimeout</b></td></tr>
<tr class="separator:acfdebb4952d6e605b583366ee546257a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa56b694c44c248bde042ebd974ad0829"><td class="memItemLeft" align="right" valign="top"><a id="aa56b694c44c248bde042ebd974ad0829"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>iceBackupCandidatePairPingInterval</b></td></tr>
<tr class="separator:aa56b694c44c248bde042ebd974ad0829"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a373a6bdcf5cb272421737145756ae009"><td class="memItemLeft" align="right" valign="top">RTCEncryptionKeyType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_r_t_c_configuration.html#a373a6bdcf5cb272421737145756ae009">keyType</a></td></tr>
<tr class="separator:a373a6bdcf5cb272421737145756ae009"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a542aecfd5836dfe09ed224faea9be435"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_r_t_c_configuration.html#a542aecfd5836dfe09ed224faea9be435">iceCandidatePoolSize</a></td></tr>
<tr class="separator:a542aecfd5836dfe09ed224faea9be435"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c2d75d66a6598c1df9f2b5b7d6275eb"><td class="memItemLeft" align="right" valign="top">BOOL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_r_t_c_configuration.html#a9c2d75d66a6598c1df9f2b5b7d6275eb">shouldPruneTurnPorts</a></td></tr>
<tr class="separator:a9c2d75d66a6598c1df9f2b5b7d6275eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79502f625f3a380c3b291d2f789c279b"><td class="memItemLeft" align="right" valign="top">BOOL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_r_t_c_configuration.html#a79502f625f3a380c3b291d2f789c279b">shouldPresumeWritableWhenFullyRelayed</a></td></tr>
<tr class="separator:a79502f625f3a380c3b291d2f789c279b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a530c043cde0727d55e195e9ad0a3023c"><td class="memItemLeft" align="right" valign="top">NSNumber *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_r_t_c_configuration.html#a530c043cde0727d55e195e9ad0a3023c">iceCheckMinInterval</a></td></tr>
<tr class="separator:a530c043cde0727d55e195e9ad0a3023c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Property Documentation</h2>
<a id="ae609b61a0e12af97d5d6ee1a69a325cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae609b61a0e12af97d5d6ee1a69a325cd">&#9670;&nbsp;</a></span>bundlePolicy</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (RTCBundlePolicy) bundlePolicy</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>The media-bundling policy to use when gathering ICE candidates. </p>

</div>
</div>
<a id="a542aecfd5836dfe09ed224faea9be435"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a542aecfd5836dfe09ed224faea9be435">&#9670;&nbsp;</a></span>iceCandidatePoolSize</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (int) iceCandidatePoolSize</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>ICE candidate pool size as defined in JSEP. Default is 0. </p>

</div>
</div>
<a id="a530c043cde0727d55e195e9ad0a3023c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a530c043cde0727d55e195e9ad0a3023c">&#9670;&nbsp;</a></span>iceCheckMinInterval</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSNumber*) iceCheckMinInterval</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">copy</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>If set to non-nil, controls the minimal interval between consecutive ICE check packets. </p>

</div>
</div>
<a id="a566359e4d44398d0e6cb1446f93c8a69"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a566359e4d44398d0e6cb1446f93c8a69">&#9670;&nbsp;</a></span>iceServers</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSArray&lt;<a class="el" href="interface_r_t_c_ice_server.html">RTCIceServer</a> *&gt;*) iceServers</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">copy</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>An array of Ice Servers available to be used by ICE. </p>

</div>
</div>
<a id="a2d4636ae121bb06655f1b3e3900034af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d4636ae121bb06655f1b3e3900034af">&#9670;&nbsp;</a></span>iceTransportPolicy</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (RTCIceTransportPolicy) iceTransportPolicy</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Which candidates the ICE agent is allowed to use. The W3C calls it |iceTransportPolicy|, while in C++ it is called |type|. </p>

</div>
</div>
<a id="a373a6bdcf5cb272421737145756ae009"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a373a6bdcf5cb272421737145756ae009">&#9670;&nbsp;</a></span>keyType</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (RTCEncryptionKeyType) keyType</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Key type used to generate SSL identity. Default is ECDSA. </p>

</div>
</div>
<a id="a8480916ac9e9510a7d8f5e837fbf09e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8480916ac9e9510a7d8f5e837fbf09e8">&#9670;&nbsp;</a></span>rtcpMuxPolicy</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (RTCRtcpMuxPolicy) rtcpMuxPolicy</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>The rtcp-mux policy to use when gathering ICE candidates. </p>

</div>
</div>
<a id="a79502f625f3a380c3b291d2f789c279b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79502f625f3a380c3b291d2f789c279b">&#9670;&nbsp;</a></span>shouldPresumeWritableWhenFullyRelayed</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) shouldPresumeWritableWhenFullyRelayed</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>If set to YES, this means the ICE transport should presume TURN-to-TURN candidate pairs will succeed, even before a binding response is received. </p>

</div>
</div>
<a id="a9c2d75d66a6598c1df9f2b5b7d6275eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c2d75d66a6598c1df9f2b5b7d6275eb">&#9670;&nbsp;</a></span>shouldPruneTurnPorts</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) shouldPruneTurnPorts</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Prune turn ports on the same network to the same turn server. Default is NO. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_r_t_c_configuration_8h_source.html">RTCConfiguration.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
